<?php
// $Id: class_edit.php,v 1.4.2.1 2005/08/19 14:08:54 bmol Exp $

/*
==============================================================================
	Dokeos - elearning and course management software

	Copyright (c) 2004 Dokeos S.A.
	Copyright (c) 2003 University of Ghent (UGent)
	Copyright (c) 2001 Universite catholique de Louvain (UCL)
	Copyright (c) Olivier Brouckaert

	For a full list of contributors, see "credits.txt".
	The full license can be read in "license.txt".

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	See the GNU General Public License for more details.

	Contact: Dokeos, 181 rue Royale, B-1000 Brussels, Belgium, info@dokeos.com
==============================================================================
*/
/**
==============================================================================
*	@package dokeos.admin
==============================================================================
*/
$langFile = 'admin';
$cidReset = true;
include ('../inc/claro_init_global.inc.php');
require_once(api_get_library_path().'/classmanager.lib.php');
api_protect_admin_script();
$course = $_GET['course'];
$class_id = intval($_GET['idclass']);
$form_sent = 0;
$error_message = '';
$noPHP_SELF = true;
$tool_name = get_lang('ModifyClassInfo');
$interbredcrump[] = array ("url" => "index.php", "name" => get_lang('AdministrationTools'));
$interbredcrump[] = array ("url" => "class_list.php", "name" => get_lang('AdminClasses'));
if ($_POST['formSent'])
{
	$form_sent = 1;
	$name = trim(stripslashes($_POST['name']));
	if (empty ($name))
	{
		$error_message = get_lang('PleaseEnterClassName');
	}
	else
	{
		ClassManager :: set_name($name, $class_id);
		header('Location: class_list.php');
		exit ();
	}
}
$class = ClassManager :: get_class_info($class_id);
Display :: display_header($tool_name);
api_display_tool_title($tool_name);
if (!empty ($error_message))
{
	Display :: display_normal_message($error_message);
}
?>
<form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>?course=<?php echo urlencode($course); ?>&amp;idclass=<?php echo $class_id; ?>">
<input type="hidden" name="formSent" value="1"/>
<label for="name"><?php echo get_lang('ClassName'); ?></label>
<input type="text" name="name" id="name" size="40" value="<?php if($form_sent) echo htmlspecialchars($name); else echo htmlspecialchars($class['name']); ?>"/>
<input type="submit" value="<?php echo get_lang('Ok'); ?>"/>
</form>
<?php
/*
==============================================================================
		FOOTER 
==============================================================================
*/
Display :: display_footer();
?>
